## r-cran-timeseries 2130.92

=== DESCRIPTION ===
Package: timeSeries
Version: 2130.92
Revision: 5054
Date: 2011-03-09
Title: Rmetrics - Financial Time Series Objects
Author: Diethelm Wuertz and Yohan Chalabi
Depends: R (>= 2.6.0), graphics, grDevices, methods, stats, utils,
        timeDate (>= 2100.86)
Suggests: robustbase, RUnit
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2011-03-09 11:55:58 UTC; chalabi
Repository: CRAN
Date/Publication: 2011-03-09 15:04:30

## r-cran-timeseries 3010.97

=== DESCRIPTION ===
Package: timeSeries
Version: 3010.97
Revision: 5475
Date: 2013-03-25
Title: Rmetrics - Financial Time Series Objects
Author: Diethelm Wuertz and Yohan Chalabi
Depends: R (>= 2.10), graphics, grDevices, methods, stats, utils,
        timeDate (>= 2150.95)
Suggests: robustbase, RUnit
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
Note: Several parts are still preliminary and may be changed in the
        future. this typically includes function and argument names, as
        well as defaults for arguments and return values.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-03-25 13:46:51 UTC; yankee
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-05-01 07:38:09

## r-cran-timeseries 3022.101.2

=== DESCRIPTION ===
Package: timeSeries
Title: Rmetrics - Financial Time Series Objects
Date: 2015-12-12
Version: 3022.101.2
Author: Rmetrics Core Team,
	Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@rmetrics.org>
Description: Environment for teaching 
	"Financial Engineering and Computational Finance".
	Managing financial time series objects.
Depends: R (>= 2.10), graphics, grDevices, stats, methods, utils,
        timeDate (>= 2150.95)
Suggests: RUnit, robustbase, xts, PerformanceAnalytics, fTrading
Note: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
NeedsCompilation: no
Packaged: 2015-12-14 07:05:22 UTC; ripley
Repository: CRAN
Date/Publication: 2015-12-14 08:24:31

## r-cran-timeseries 3042.102

=== DESCRIPTION ===
Package: timeSeries
Title: Rmetrics - Financial Time Series Objects
Date: 2017-11-12
Version: 3042.102
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides a class and various tools for financial time series.
	This includes basic functions such as scaling and sorting, subsetting,
	mathematical operations and statistical functions.
Depends: R (>= 2.10), graphics, grDevices, stats, methods, utils,
        timeDate (>= 2150.95)
Suggests: RUnit, robustbase, xts, PerformanceAnalytics, fTrading
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
NeedsCompilation: no
Packaged: 2017-11-16 17:28:23 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-17 12:55:49 UTC

=== debian/changelog ===
r-cran-timeseries (3042.102-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 03 Jun 2018 08:44:25 -0500

r-cran-timeseries (3042.102-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debianb/control: Add Depends: on ${misc:Depends}
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Nov 2017 09:16:50 -0600

r-cran-timeseries (3022.101.2-2) unstable; urgency=medium

  * debian/compat: Created			(Closes: #830373)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Jul 2016 06:52:36 -0500

r-cran-timeseries (3022.101.2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Corrected Description		(Closes: #807903)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Dec 2015 08:52:23 -0600

r-cran-timeseries (3022.101.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Dec 2015 07:00:17 -0600

r-cran-timeseries (3022.101-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Nov 2015 13:46:46 -0600

r-cran-timeseries (3012.99-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Jan 2015 21:12:23 -0600

r-cran-timeseries (3011.98-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Oct 2014 14:41:25 -0500

r-cran-timeseries (3010.97-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 May 2013 06:58:41 -0500

r-cran-timeseries (3000.96-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 16:18:06 -0500

r-cran-timeseries (3000.96-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Mar 2013 12:50:54 -0500

r-cran-timeseries (2160.95-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Aug 2012 20:19:46 -0500

r-cran-timeseries (2160.94-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Mar 2012 12:16:28 -0500

r-cran-timeseries (2160.93-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Mar 2012 11:01:44 -0500

r-cran-timeseries (2130.92-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 Mar 2011 21:15:19 -0600

r-cran-timeseries (2130.91-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Feb 2011 12:16:54 -0600

r-cran-timeseries (2130.90-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Oct 2010 17:16:24 -0500

r-cran-timeseries (2120.89-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jul 2010 09:27:44 -0500

r-cran-timeseries (2120.88-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Jul 2010 13:39:30 -0500

r-cran-timeseries (2110.87-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Jan 2010 17:55:27 -0600

r-cran-timeseries (2110.86-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Dec 2009 20:16:49 -0600

r-cran-timeseries (2110.85-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Dec 2009 20:02:46 -0600

r-cran-timeseries (2100.84-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Nov 2009 21:26:19 -0600

r-cran-timeseries (2100.84-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Updated (Build-)Depends: to r-cran-timedate (>= 2100.86)

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Sep 2009 05:16:31 -0500

r-cran-timeseries (2100.83-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: r-cran-timeseries
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-timeseries
Vcs-Git: https://salsa.debian.org/edd/r-cran-timeseries.git
Homepage: https://cran.r-project.org/package=timeSeries
 
Package: r-cran-timeseries
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-timedate (>= 2100.86)
Suggests: r-cran-runit, r-cran-robustbase
Description: GNU R package for financial engineering -- timeSeries
 This package provides functions for financial time series objects and
 is part of Rmetrics, a collection of packages for financial
 engineering and computational finance written and compiled by
 Diethelm Wuertz and others.
 .
 timeDate provides functions for financial time series objects.

## r-cran-timeseries 3062.100

=== DESCRIPTION ===
Package: timeSeries
Title: Financial Time Series Objects (Rmetrics)
Date: 2020-01-24
Version: 3062.100
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = "cre", email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "ctb")
	   , person("Martin","Maechler", role="ctb", email="maechler@stat.math.ethz.ch", comment = c(ORCID = "0000-0002-8685-9910"))
	   )
Description: 'S4' classes and various tools for financial time series:
  Basic functions such as scaling and sorting, subsetting,
  mathematical operations and statistical functions.
Depends: R (>= 2.10), graphics, grDevices, stats, methods, utils,
        timeDate (>= 2150.95)
Suggests: RUnit, robustbase, xts, PerformanceAnalytics, fTrading
LazyData: yes
License: GPL (>= 2)
URL:
        https://r-forge.r-project.org/scm/viewvc.php/pkg/timeSeries/?root=rmetrics,
        http://www.rmetrics.org
NeedsCompilation: no
Packaged: 2020-01-24 13:51:15 UTC; maechler
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [cre],
  Yohan Chalabi [ctb],
  Martin Maechler [ctb] (<https://orcid.org/0000-0002-8685-9910>)
Maintainer: Tobias Setz <tobias.setz@live.com>
Repository: CRAN
Date/Publication: 2020-01-24 17:35:15 UTC

=== debian/changelog ===
r-cran-timeseries (3062.100-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:25:50 +0000

r-cran-timeseries (3062.100-2) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 May 2020 07:05:24 -0500

r-cran-timeseries (3062.100-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Jan 2020 07:44:33 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-timeseries
 Vcs-Git: https://salsa.debian.org/edd/r-cran-timeseries.git
 Homepage: https://cran.r-project.org/package=timeSeries

## r-cran-timeseries 4021.104

=== debian/changelog ===
r-cran-timeseries (4021.104-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Jul 2022 07:25:33 -0500

## r-cran-timeseries 4021.105

=== DESCRIPTION ===
Package: timeSeries
Title: Financial Time Series Objects (Rmetrics)
Date: 2022-10-14
Version: 4021.105
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person("Martin","Maechler", role="ctb", email="maechler@stat.math.ethz.ch", comment = c(ORCID = "0000-0002-8685-9910"))
	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
                    role = c("cre", "ctb"), email = "georgi.boshnakov@manchester.ac.uk") )
Description: 'S4' classes and various tools for financial time series:
  Basic functions such as scaling and sorting, subsetting,
  mathematical operations and statistical functions.
Depends: R (>= 2.10), timeDate (>= 2150.95)
Imports: graphics, grDevices, stats, utils, methods
Suggests: RUnit, robustbase, xts, PerformanceAnalytics, fTrading
LazyData: yes
License: GPL (>= 2)
URL:
        https://r-forge.r-project.org/scm/viewvc.php/pkg/timeSeries/?root=rmetrics
        (devel), https://www.rmetrics.org,
        https://geobosh.github.io/timeSeriesDoc/ (doc)
BugReports: https://r-forge.r-project.org/projects/rmetrics
NeedsCompilation: no
Packaged: 2022-10-15 07:08:26 UTC; georgi
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Martin Maechler [ctb] (<https://orcid.org/0000-0002-8685-9910>),
  Georgi N. Boshnakov [cre, ctb]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2022-10-16 00:20:06 UTC

=== debian/changelog ===
r-cran-timeseries (4021.105-2) unstable; urgency=medium

  * Source-only rebuild and reupload

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 19 Oct 2022 08:55:37 -0500

r-cran-timeseries (4021.105-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 15 Oct 2022 20:37:00 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-timeseries
 Vcs-Git: https://salsa.debian.org/edd/r-cran-timeseries.git
 Homepage: https://cran.r-project.org/package=timeSeries

## r-cran-timeseries 4030.106

=== debian/changelog ===
r-cran-timeseries (4030.106-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Jun 2023 20:55:31 -0500

r-cran-timeseries (4030.106-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 May 2023 11:34:43 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-timeseries
 Vcs-Git: https://salsa.debian.org/edd/r-cran-timeseries.git
 Homepage: https://cran.r-project.org/package=timeSeries

## r-cran-timeseries 4031.107

=== debian/changelog ===
r-cran-timeseries (4031.107-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Aug 2023 09:06:53 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-timeseries
 Vcs-Git: https://salsa.debian.org/edd/r-cran-timeseries.git

## r-cran-timeseries 4032.109

=== DESCRIPTION ===
Package: timeSeries
Title: Financial Time Series Objects (Rmetrics)
Version: 4032.109
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person("Martin","Maechler", role="ctb", email="maechler@stat.math.ethz.ch", comment = c(ORCID = "0000-0002-8685-9910"))
	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
                    role = c("cre", "aut"), email = "georgi.boshnakov@manchester.ac.uk") )
Description: 'S4' classes and various tools for financial time series:
  Basic functions such as scaling and sorting, subsetting,
  mathematical operations and statistical functions.
Depends: R (>= 2.10), timeDate (>= 2150.95), methods
Imports: graphics, grDevices, stats, utils
Suggests: RUnit, robustbase, xts, zoo, PerformanceAnalytics, fTrading
LazyData: yes
License: GPL (>= 2)
URL: https://geobosh.github.io/timeSeriesDoc/ (doc),
        https://r-forge.r-project.org/scm/viewvc.php/pkg/timeSeries/?root=rmetrics
        (devel), https://www.rmetrics.org
BugReports: https://r-forge.r-project.org/projects/rmetrics
NeedsCompilation: no
Packaged: 2024-01-14 10:27:34 UTC; georgi
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Martin Maechler [ctb] (<https://orcid.org/0000-0002-8685-9910>),
  Georgi N. Boshnakov [cre, aut]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2024-01-14 16:00:02 UTC

=== debian/changelog ===
r-cran-timeseries (4032.109-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Jan 2024 10:39:44 -0600

r-cran-timeseries (4032.108-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Dec 2023 12:11:03 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-timeseries
 Vcs-Git: https://salsa.debian.org/edd/r-cran-timeseries.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-timeseries package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/timeSeries_([-\d\.]*)\.tar.gz

## r-cran-timeseries 4041.111

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: timeSeries
 Title: Financial Time Series Objects (Rmetrics)
-Version: 4032.109
+Version: 4041.111
 Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
 	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
 	   , person("Yohan", "Chalabi", role = "aut")
@@ -10,7 +10,7 @@
 Description: 'S4' classes and various tools for financial time series:
   Basic functions such as scaling and sorting, subsetting,
   mathematical operations and statistical functions.
-Depends: R (>= 2.10), timeDate (>= 2150.95), methods
+Depends: R (>= 2.10), timeDate (>= 4041.110), methods
 Imports: graphics, grDevices, stats, utils
 Suggests: RUnit, robustbase, xts, zoo, PerformanceAnalytics, fTrading
 LazyData: yes
@@ -20,7 +20,7 @@
         (devel), https://www.rmetrics.org
 BugReports: https://r-forge.r-project.org/projects/rmetrics
 NeedsCompilation: no
-Packaged: 2024-01-14 10:27:34 UTC; georgi
+Packaged: 2024-09-21 13:05:35 UTC; georgi
 Author: Diethelm Wuertz [aut] (original code),
   Tobias Setz [aut],
   Yohan Chalabi [aut],
@@ -28,4 +28,4 @@
   Georgi N. Boshnakov [cre, aut]
 Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2024-01-14 16:00:02 UTC
+Date/Publication: 2024-09-22 10:10:03 UTC

=== inst/unitTests/Makefile ===
PKG=timeSeries
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

=== debian/changelog ===
r-cran-timeseries (4041.111-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Updated (Build-)Depends: on r-cran-timedate
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Sep 2024 07:21:14 -0500

r-cran-timeseries (4041.110-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Sep 2024 14:45:40 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), r-cran-timedate (>= 2150.95), dh-r, xvfb, xauth, xfonts-base
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), r-cran-timedate (>= 4041.110), dh-r, xvfb, xauth, xfonts-base
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-timeseries
 Vcs-Git: https://salsa.debian.org/edd/r-cran-timeseries.git
@@ -10,7 +10,7 @@
  
 Package: r-cran-timeseries
 Architecture: all
-Depends: ${R:Depends}, ${misc:Depends}, r-cran-timedate (>= 2100.86)
+Depends: ${R:Depends}, ${misc:Depends}, r-cran-timedate (>= 4041.110)
 Suggests: r-cran-runit, r-cran-robustbase
 Description: GNU R package for financial engineering -- timeSeries
  This package provides functions for financial time series objects and

## r-cran-timeseries 4052.112

=== debian/changelog ===
r-cran-timeseries (4052.112-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Dec 2025 10:25:17 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), r-cran-timedate (>= 4041.110), dh-r, xvfb, xauth, xfonts-base
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), r-cran-timedate (>= 4041.110), dh-r, xvfb, xauth, xfonts-base
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-timeseries
 Vcs-Git: https://salsa.debian.org/edd/r-cran-timeseries.git
 Homepage: https://cran.r-project.org/package=timeSeries
